Subject: Re: [patch] e1000=y && e1000e=m regression fix

From: "Kok, Auke" <[email-masked]>
Date: Thu, 10 Apr 2008 11:26:48 -0700

Matthew Wilcox wrote:
> On Thu, Apr 10, 2008 at 11:55:03AM -0600, Grant Grundler wrote:
>> Agreed. I like Ingo's Kconfig patch which forces both drivers
>> (e1000 and e1000e) to be built the same way (ie both modules or both
>> builtin).
> 
> Uh, that's /not/ what Ingo's patch does.  His patch makes e1000 claim
> the e1000e IDs if e1000 is built-in and e1000e is a module.

It does? that's definately not the right thing to do at all, so I'd like to
retract my ACK to that patch.

We want to move users over to e1000e, because with 2.6.26 they must (or at one
point in time anyway).

I'm all for making the move easier, but I'm really against prolonging these hacks
that make people just bump their noses later. If they hit the problem now instead
of when 2.6.26 ships, then it's all for the better IMHO.

Auke